Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

gradeLevel
integer<int32>

Specify a grade level to retrieve a list of all students in that grade.

Required range: 1 <= x <= 12
Example:

3

Response

Returns a list of all students in the system and their associated information.

firstName
string
required

The first name of the student.

Required string length: 1 - 60
Example:

"John"

lastName
string
required

The last name of the student.

Required string length: 1 - 60
Example:

"Smith"

GPA
number<double>
required

Student's average grade in the class on a 4.0 scale. Two decimal points allowed.

Required range: 0 <= x <= 4
Example:

3.95

gradeLevel
integer
required

Student's grade level (from 1st to 12th grade), expressed as an integer between 1 and 12.

Required range: 1 <= x <= 12
Example:

1

attendanceStatus
enum<string>
required

Used to indicate if the student is present, late, or absent to class that day.

Available options:
present,
late,
absent
Example:

"present"

id
string<([0-9]+)>
required

Identification number of the student written as a 5-digit number. The first 2 digits indicate the student's grade level. The last 3 digits indicate the student's number within the grade. The system supports up to 999 students in each grade level. Example: '01234', where the student is the 234th student in 1st grade.

Required string length: 5
Example:

"01234"